org.keycloak.federation.ldap

## Class WritableLDAPUserModelDelegate

- java.lang.Object
- - org.keycloak.models.utils.UserModelDelegate
  - - org.keycloak.federation.ldap.WritableLDAPUserModelDelegate

- All Implemented Interfaces:
    UserModel

      public class WritableLDAPUserModelDelegate
      extends UserModelDelegate
      implements UserModel

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.UserModel

      `UserModel.RequiredAction`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LDAPFederationProvider` | `provider`

    - ### Fields inherited from class org.keycloak.models.utils.UserModelDelegate

      `delegate`

    - ### Fields inherited from interface org.keycloak.models.UserModel

      `EMAIL, FIRST_NAME, LAST_NAME, USERNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WritableLDAPUserModelDelegate(UserModel delegate, LDAPFederationProvider provider)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setEmail(String email)`
    `void` | `setFirstName(String first)`
    `void` | `setLastName(String lastName)`
    `void` | `setUsername(String username)`
    `void` | `updateCredential(UserCredentialModel cred)`

    - ### Methods inherited from class org.keycloak.models.utils.UserModelDelegate

      `addRequiredAction, deleteRoleMapping, getApplicationRoleMappings, getAttribute, getAttributes, getCredentialsDirectly, getEmail, getFederationLink, getFirstName, getId, getLastName, getRealmRoleMappings, getRequiredActions, getRoleMappings, getUsername, grantRole, hasRole, isEmailVerified, isEnabled, isTotp, removeAttribute, removeRequiredAction, setAttribute, setEmailVerified, setEnabled, setFederationLink, setTotp, updateCredentialDirectly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.UserModel

      `addRequiredAction, deleteRoleMapping, getApplicationRoleMappings, getAttribute, getAttributes, getCredentialsDirectly, getEmail, getFederationLink, getFirstName, getId, getLastName, getRealmRoleMappings, getRequiredActions, getRoleMappings, getUsername, grantRole, hasRole, isEmailVerified, isEnabled, isTotp, removeAttribute, removeRequiredAction, setAttribute, setEmailVerified, setEnabled, setFederationLink, setTotp, updateCredentialDirectly`

- - ### Field Detail

    - #### provider

          protected LDAPFederationProvider provider

  - ### Constructor Detail

    - #### WritableLDAPUserModelDelegate

          public WritableLDAPUserModelDelegate(UserModel delegate,
                                       LDAPFederationProvider provider)

  - ### Method Detail

    - #### setUsername

          public void setUsername(String username)

      Specified by:
        `setUsername` in interface `UserModel`
      Overrides:
        `setUsername` in class `UserModelDelegate`

    - #### setLastName

          public void setLastName(String lastName)

      Specified by:
        `setLastName` in interface `UserModel`
      Overrides:
        `setLastName` in class `UserModelDelegate`

    - #### setFirstName

          public void setFirstName(String first)

      Specified by:
        `setFirstName` in interface `UserModel`
      Overrides:
        `setFirstName` in class `UserModelDelegate`

    - #### updateCredential

          public void updateCredential(UserCredentialModel cred)

      Specified by:
        `updateCredential` in interface `UserModel`
      Overrides:
        `updateCredential` in class `UserModelDelegate`

    - #### setEmail

          public void setEmail(String email)

      Specified by:
        `setEmail` in interface `UserModel`
      Overrides:
        `setEmail` in class `UserModelDelegate`

Copyright © 2014. All Rights Reserved.